BasicAuthCache (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.client
Class BasicAuthCache

    java.lang.Object
      org.apache.http.impl.client.BasicAuthCache

All Implemented Interfaces:
  AuthCache

    @Contract(threading=SAFE)
    public class BasicAuthCache

extends Object
implements AuthCache

Default implementation of `AuthCache`. This implements expects `AuthScheme` to be `Serializable` in order to be cacheable.

Instances of this class are thread safe as of version 4.4.

Since:
  4.1

Constructor Summary
`BasicAuthCache()`
`BasicAuthCache(SchemePortResolver schemePortResolver)` Default constructor.

Method Summary
`void` | `clear()`
`AuthScheme` | `get(org.apache.http.HttpHost host)`
`protected org.apache.http.HttpHost` | `getKey(org.apache.http.HttpHost host)`
`void` | `put(org.apache.http.HttpHost host, AuthScheme authScheme)`
`void` | `remove(org.apache.http.HttpHost host)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicAuthCache

    public BasicAuthCache(SchemePortResolver schemePortResolver)

  Default constructor.

  Since:
    4.3

### BasicAuthCache

    public BasicAuthCache()

Method Detail

### getKey

    protected org.apache.http.HttpHost getKey(org.apache.http.HttpHost host)

### put

    public void put(org.apache.http.HttpHost host,
                    AuthScheme authScheme)

  Specified by:
    `put` in interface `AuthCache`

### get

    public AuthScheme get(org.apache.http.HttpHost host)

  Specified by:
    `get` in interface `AuthCache`

### remove

    public void remove(org.apache.http.HttpHost host)

  Specified by:
    `remove` in interface `AuthCache`

### clear

    public void clear()

  Specified by:
    `clear` in interface `AuthCache`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.